# RandomAccessRemoteFile (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Class RandomAccessRemoteFile

    java.lang.Object
      net.schmizz.sshj.sftp.RandomAccessRemoteFile

All Implemented Interfaces:
  DataInput, DataOutput

    public class RandomAccessRemoteFile

extends Object
implements DataInput, DataOutput

Constructor Summary
`RandomAccessRemoteFile(RemoteFile rf)`

Method Summary
`long` `getFilePointer()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`boolean` `readBoolean()`
`byte` `readByte()`
`char` `readChar()`
`double` `readDouble()`
`float` `readFloat()`
`void` `readFully(byte[] b)`
`void` `readFully(byte[] b, int off, int len)`
`int` `readInt()`
`String` `readLine()`
`long` `readLong()`
`short` `readShort()`
`int` `readUnsignedByte()`
`int` `readUnsignedShort()`
`String` `readUTF()`
`void` `seek(long fp)`
`int` `skipBytes(int n)`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int i)`
`void` `writeBoolean(boolean v)`
`void` `writeByte(int v)`
`void` `writeBytes(String s)`
`void` `writeChar(int v)`
`void` `writeChars(String s)`
`void` `writeDouble(double v)`
`void` `writeFloat(float v)`
`void` `writeInt(int v)`
`void` `writeLong(long v)`
`void` `writeShort(int v)`
`void` `writeUTF(String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomAccessRemoteFile

    public RandomAccessRemoteFile(RemoteFile rf)

Method Detail

### getFilePointer

    public long getFilePointer()

### seek

    public void seek(long fp)

### read

    public int read()
             throws IOException

  Throws:
    `IOException`

### read

    public int read(byte[] b)
             throws IOException

  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Throws:
    `IOException`

### readBoolean

    public boolean readBoolean()
                        throws IOException

  Specified by:
    `readBoolean` in interface `DataInput`
  Throws:
    `IOException`

### readByte

    public byte readByte()
                  throws IOException

  Specified by:
    `readByte` in interface `DataInput`
  Throws:
    `IOException`

### readChar

    public char readChar()
                  throws IOException

  Specified by:
    `readChar` in interface `DataInput`
  Throws:
    `IOException`

### readDouble

    public double readDouble()
                      throws IOException

  Specified by:
    `readDouble` in interface `DataInput`
  Throws:
    `IOException`

### readFloat

    public float readFloat()
                    throws IOException

  Specified by:
    `readFloat` in interface `DataInput`
  Throws:
    `IOException`

### readFully

    public void readFully(byte[] b)
                   throws IOException

  Specified by:
    `readFully` in interface `DataInput`
  Throws:
    `IOException`

### readFully

    public void readFully(byte[] b,
                          int off,
                          int len)
                   throws IOException

  Specified by:
    `readFully` in interface `DataInput`
  Throws:
    `IOException`

### readInt

    public int readInt()
                throws IOException

  Specified by:
    `readInt` in interface `DataInput`
  Throws:
    `IOException`

### readLine

    public String readLine()
                    throws IOException

  Specified by:
    `readLine` in interface `DataInput`
  Throws:
    `IOException`

### readLong

    public long readLong()
                  throws IOException

  Specified by:
    `readLong` in interface `DataInput`
  Throws:
    `IOException`

### readShort

    public short readShort()
                    throws IOException

  Specified by:
    `readShort` in interface `DataInput`
  Throws:
    `IOException`

### readUTF

    public String readUTF()
                   throws IOException

  Specified by:
    `readUTF` in interface `DataInput`
  Throws:
    `IOException`

### readUnsignedByte

    public int readUnsignedByte()
                         throws IOException

  Specified by:
    `readUnsignedByte` in interface `DataInput`
  Throws:
    `IOException`

### readUnsignedShort

    public int readUnsignedShort()
                          throws IOException

  Specified by:
    `readUnsignedShort` in interface `DataInput`
  Throws:
    `IOException`

### skipBytes

    public int skipBytes(int n)
                  throws IOException

  Specified by:
    `skipBytes` in interface `DataInput`
  Throws:
    `IOException`

### write

    public void write(int i)
               throws IOException

  Specified by:
    `write` in interface `DataOutput`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Specified by:
    `write` in interface `DataOutput`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in interface `DataOutput`
  Throws:
    `IOException`

### writeBoolean

    public void writeBoolean(boolean v)
                      throws IOException

  Specified by:
    `writeBoolean` in interface `DataOutput`
  Throws:
    `IOException`

### writeByte

    public void writeByte(int v)
                   throws IOException

  Specified by:
    `writeByte` in interface `DataOutput`
  Throws:
    `IOException`

### writeBytes

    public void writeBytes(String s)
                    throws IOException

  Specified by:
    `writeBytes` in interface `DataOutput`
  Throws:
    `IOException`

### writeChar

    public void writeChar(int v)
                   throws IOException

  Specified by:
    `writeChar` in interface `DataOutput`
  Throws:
    `IOException`

### writeChars

    public void writeChars(String s)
                    throws IOException

  Specified by:
    `writeChars` in interface `DataOutput`
  Throws:
    `IOException`

### writeDouble

    public void writeDouble(double v)
                     throws IOException

  Specified by:
    `writeDouble` in interface `DataOutput`
  Throws:
    `IOException`

### writeFloat

    public void writeFloat(float v)
                    throws IOException

  Specified by:
    `writeFloat` in interface `DataOutput`
  Throws:
    `IOException`

### writeInt

    public void writeInt(int v)
                  throws IOException

  Specified by:
    `writeInt` in interface `DataOutput`
  Throws:
    `IOException`

### writeLong

    public void writeLong(long v)
                   throws IOException

  Specified by:
    `writeLong` in interface `DataOutput`
  Throws:
    `IOException`

### writeShort

    public void writeShort(int v)
                    throws IOException

  Specified by:
    `writeShort` in interface `DataOutput`
  Throws:
    `IOException`

### writeUTF

    public void writeUTF(String str)
                  throws IOException

  Specified by:
    `writeUTF` in interface `DataOutput`
  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.